PHP Version:
Affected Flow version: FLOW3 1.0.0

Subject: Doctrine Repository | findAll()-method does not consider $this->defaultOrderings
Description

The findAll()-method of TYPO3\FLOW3\Persistence\Doctrine\Repository does not consider $this->defaultOrderings. A simple patch
could be the following:

File: TYPO3/FLOWS3/Persistence/Doctrine/Repository.php

/**
* Finds all entities in the repository.

* @return array The entities.
*/
public function findAll() {
return $this->findBy(array(), $this->defaultOrderings);

There might by also another way to set the default orderings.

As #35035 describes that findAll() is inconsitent regarding to the return value, this is also kind of inconsistent, because the
TYPO3\FLOWB3\Persistence\Repository->findAll()-method does consider the default orderings.

Related issues:
related to TYPOS.Flow - Bug # 35035: Doctrine repository findAll is inconsistent Resolved 2012-03-20

Associated revisions

Revision 9825cdbf - 2012-07-10 12:10 - Karsten Dambekalns

[BUGFIX] Have Doctrine\Repository::findAll() return a QueryResult

This makes the behavior of Doctrine\Repository consistent and
allows the use of findAll() e.g. in combination with widgets.

With this change, findAll() also observes the default ordering

of a repository.

Change-Id: If24afae617a745d791d5fc81ab070e5d3738a545
Fixes: #35035
Fixes: #38381

Releases: 1.1, 1.2
Revision 93658121 - 2012-07-18 12:47 - Karsten Dambekalns

[BUGFIX] Have Doctrine\Repository::findAll() return a QueryResult

This makes the behavior of Doctrine\Repository consistent and
allows the use of findAll() e.g. in combination with widgets.

With this change, findAll() also observes the default ordering

of a repository.

Change-Id: [f24afae617a745d791d5fc81ab070e5d3738a545
Fixes: #35035

Fixes: #38381

Releases: 1.1, 1.2

History

#1 - 2012-06-25 22:31 - Karsten Dambekalns
- Status changed from New to Accepted

#2 - 2012-06-25 22:32 - Karsten Dambekalns
- Affected Flow version changed from Git 1.2 (master) to FLOW3 1.0.0

#3 - 2012-06-25 22:32 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12365

#4 - 2012-06-27 15:50 - Karsten Dambekalns

- Target version changed from 1.1 RC1 to 1.1

#5 - 2012-07-10 09:56 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12365

#6 - 2012-07-10 12:19 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12365

#7 - 2012-07-18 12:48 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.

It is available at http://review.typo3.org/12873
#8 - 2012-07-18 12:50 - Karsten Dambekalns

- Status changed from Under Review to Resolved
- Target version changed from 1.1 to 1.1 RC2

- % Done changed from 0 to 100
